View Issue Details

IDProjectCategoryView StatusLast Update
0005706Talermerchant frontend (donations)public2019-06-10 21:00
ReporterLUGAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary0005706: Add README to donations repo
DescriptionIt seems to me that installing the talerdonations package and running taler-merchant-donation could work stand-alone but I'm at least missing the expected config files[1, 2], along with a clue about how they should look.
What do you think about adding a README to the donations repo where the basic requirements for running the dontaion frontend are listed?

[1] can't read config directory '/usr/local/share/taler/config.d'
[2] Configuration file (/home/lukas/.config/taler.conf) not found
Steps To Reproduce$ pip install -e .
Obtaining file:///home/lukas/Workspace/taler/donations
Collecting Flask>=0.10 (from talerdonations==0.0) [...]
Collecting itsdangerous>=0.24 (from Flask>=0.10->talerdonations==0.0) [...]
Collecting click>=5.1 (from Flask>=0.10->talerdonations==0.0) [...]
Collecting Werkzeug>=0.14 (from Flask>=0.10->talerdonations==0.0) [...]
Collecting Jinja2>=2.10 (from Flask>=0.10->talerdonations==0.0) [...]
Collecting MarkupSafe>=0.23 (from Jinja2>=2.10->Flask>=0.10->talerdonations==0.0) [...]
Installing collected packages: itsdangerous, click, Werkzeug, MarkupSafe, Jinja2, Flask, talerdonations
  Running setup.py develop for talerdonations
Successfully installed Flask-1.0.2 Jinja2-2.10.1 MarkupSafe-1.1.1 Werkzeug-0.15.2 click-7.0 itsdangerous-1.1.0 talerdonations

$ taler-merchant-donations
can't read config directory '/usr/local/share/taler/config.d'
Configuration file (/home/lukas/.config/taler.conf) not found
TagsNo tags attached.

Activities

LUG

2019-04-27 19:58

developer   ~0014358

I'm also trying to go via make devinstall, but fail to set it up in userspace (i.e. not in /usr/local/ but somewhere in /home/user/ and in an isolated python environment instead of with system python).

LUG

2019-04-27 20:40

developer   ~0014359

Found https://docs.taler.net/exchange/html/taler-exchange.html#Configuration-format as well as https://docs.taler.net/backoffice/html/manual.html and will try if I can come up with a README suggestion for the donations repo. Please feel free to interrupt me in case running this stand alone doesn't make sense in the big picture, even for development.

Marcello Stanisci

2019-05-27 17:43

manager   ~0014448

Starting from, 0d9da52dc5c05524be8c5adf84d, the donations repo does have a README file.

Marcello Stanisci

2019-05-27 17:44

manager   ~0014449

Starting from: 62b549f47e86634b8e, donations does provide a default config file under "config.d".

Marcello Stanisci

2019-05-27 18:46

manager   ~0014450

For the problem reported by [2], we can't really fix it, as this means that the user didn't pass neither a '-c' option nor had a valid default ~/.config/taler.conf installed.

Please reopen if you notice additional problems in the installation!

LUG

2019-06-10 14:13

developer   ~0014525

Thanks for your additions.
Could it be that the Python packages "uwsgi" and "requests" are still missing from the setup instructions or at least the configure checks?
I had to "pip3 install uwsgi requests" to make the taler-merchant-donations run.

Marcello Stanisci

2019-06-10 20:25

manager   ~0014528

This is all in all possible. I've added those missing dependencies into the setup: dd83568..f09cb42.

Marcello Stanisci

2019-06-10 21:00

manager   ~0014529

Closing. Please reopen if need be.

Issue History

Date Modified Username Field Change
2019-04-27 19:38 LUG New Issue
2019-04-27 19:38 LUG Status new => assigned
2019-04-27 19:38 LUG Assigned To => Marcello Stanisci
2019-04-27 19:58 LUG Note Added: 0014358
2019-04-27 20:40 LUG Note Added: 0014359
2019-05-27 17:43 Marcello Stanisci Note Added: 0014448
2019-05-27 17:44 Marcello Stanisci Note Added: 0014449
2019-05-27 18:46 Marcello Stanisci Status assigned => resolved
2019-05-27 18:46 Marcello Stanisci Resolution open => fixed
2019-05-27 18:46 Marcello Stanisci Note Added: 0014450
2019-06-10 14:13 LUG Status resolved => feedback
2019-06-10 14:13 LUG Resolution fixed => reopened
2019-06-10 14:13 LUG Note Added: 0014525
2019-06-10 20:25 Marcello Stanisci Note Added: 0014528
2019-06-10 21:00 Marcello Stanisci Note Added: 0014529
2019-06-10 21:00 Marcello Stanisci Status feedback => resolved